@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
  --red: #FF472E;
  --blue: #4187E9;
  --light-blue: #EFF6FF;
  --green: #49B785;
  --gray: #D9D9D9;
  --dark-gray: #485156;
  --text-blue: #2D68FE;
  --text-gray: #525252;
  --text-default: #324054;
  --button-text: #344054;
  --button-border: #D0D5DD;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  overflow: hidden;
  scrollbar-color: var(--blue) rgb(240, 244, 247);
  scrollbar-width: thin;
}

::-webkit-scrollbar-button {
  width: 15px;
  height: 0px;
}
::-webkit-scrollbar-track {
  background-color: rgb(240, 244, 247);
}
::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  border-radius: 5px;
  background-color: rgba(145, 194, 246, 0.2);
}
::-webkit-scrollbar-thumb:hover {
  background-color: var(--blue);
}
::-webkit-resizer {
  width: 15px;
  height: 0px;
}
::-webkit-scrollbar {
  width: 15px;
}

.fonts {
  font-family: "Inter", serif;
  font-optical-sizing: auto;
  font-style: normal;
}

.maintenance_button {
  min-width: 148px;
  min-height: 40px;
  border-radius: 6px;
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
  transition: .3s;
}

.uk-button.uk-button-default,
.maintenance_action_button {
  min-width: 118px;
  min-height: 40px;
  border-radius: 8px;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  color: var(--button-text) !important;
  border-color: var(--button-border);
  padding: 10px 16px;
  transition: .3s;
}

.uk-button.uk-button-primary {
  min-width: 118px;
  min-height: 40px;
  border-radius: 8px;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  color: #fff !important;
  background: var(--blue);
  border-color: var(--blue);
  transition: .3s;
}

.maintenance_action_button.border_none {
  border-color: #fff;
}

.uk-button.uk-button-default:hover,
.maintenance_action_button:hover,
.maintenance_action_button.border_none:hover {
  border-color: var(--dark-gray);
}

.maintenance_button.primary,
.maintenance_action_button.primary {
  color: #fff !important;
  background: var(--blue);
  border-color: var(--blue);
}

.uk-button.uk-button-primary:hover,
.maintenance_button.primary:hover,
.maintenance_action_button.primary:hover {
  border-color: var(--blue);
  filter: brightness(1.2);
}

.maintenance_action_button#buttonRegistryActions {
  background-image: url('../constructorFiles/maintenance/button_icon/app_registration.svg');
  background-repeat: no-repeat;
  background-position: 12px center;
  padding-left: 40px;
  min-width: 110px;
}

.maintenance_action_button#buttonRegistryColumns {
  background-image: url('../constructorFiles/maintenance/button_icon/view_column.svg');
  background-repeat: no-repeat;
  background-position: 12px center;
  padding-left: 40px;
  min-width: 110px;
}

.maintenance_action_button#buttonDownloadXLS {
  background-image: url('../constructorFiles/maintenance/button_icon/download-cloud-02.svg');
  background-repeat: no-repeat;
  background-position: 12px center;
  padding-left: 40px;
  min-width: 110px;
}

.maintenance_action_button#buttonCreateRow {
  background-image: url('../constructorFiles/maintenance/button_icon/plus.svg');
  background-repeat: no-repeat;
  background-position: 12px center;
  padding-left: 40px;
  min-width: 110px;
}

.maintenance_action_button#buttonRegistryFilter {
  background-image: url('../constructorFiles/maintenance/button_icon/filter-lines.svg');
  background-repeat: no-repeat;
  background-position: 12px center;
  padding-left: 40px;
  min-width: 110px;
}

.maintenance_action_button#buttonRefresh {
  background-image: url('../constructorFiles/maintenance/button_icon/refresh.svg');
  background-repeat: no-repeat;
  background-position: center;
  min-width: 40px;
}

.maintenance_action_button#buttonRegistryFilter._filter {
  filter: saturate(15);
}

.maintenance_input,
.maintenance_input:focus {
  background: var(--light-blue);
  border-color: var(--light-blue);
  border-radius: 6px;
  padding: 10px;
  color: var(--text-blue);
  font-size: 12px;
  line-height: 18px;
  font-weight: 400;
}

.maintenance_input::placeholder {
  color: var(--text-blue);
  font-size: 12px;
  line-height: 18px;
  font-weight: 400;
}

.maintenance-container {
  align-items: center;
  justify-content: space-between;
  align-content: center;
  padding: 0 6% 0 14%;
  background: url('../constructorFiles/maintenance/maintenance.svg');
  background-repeat: no-repeat;
  background-position: 70% center;
}

.maintenance_locale_selector {
  position: absolute;
  right: 20px;
  top: 20px;
  border: none;
  cursor: pointer;
  color: var(--text-blue) !important;
  background-image: none !important;
  font-weight: 600;
  font-size: 24px;
}

input.highlight {
  color: #f0506e;
  border-color: #f0506e;
  background: #fff9fa;
}

.uk-modal-header {
  padding: 5px 20px;
  max-height: 40px;
}

.uk-modal-header h2,
.uk-modal-header h3 {
  font-size: 1.3em;
}
